Get byoc pool
curl --request GET \
--url https://levers9.uselevers.com/pools/{poolName}/byoc \
--header 'Authorization: Bearer <token>'import requests
url = "https://levers9.uselevers.com/pools/{poolName}/byoc"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://levers9.uselevers.com/pools/{poolName}/byoc', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://levers9.uselevers.com/pools/{poolName}/byoc",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://levers9.uselevers.com/pools/{poolName}/byoc"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://levers9.uselevers.com/pools/{poolName}/byoc")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://levers9.uselevers.com/pools/{poolName}/byoc")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"ok": true,
"errMsg": "<string>",
"pool": {
"name": "<string>",
"selector": "<string>",
"config": {
"name": "<string>",
"gpu": [
"<string>"
],
"nodes": 123,
"ttl": "<string>",
"maxSpend": 123,
"providers": [
"<string>"
],
"regions": [
"<string>"
],
"minReliability": 123,
"selector": "<string>",
"mode": "<string>",
"transport": "<string>",
"fallback": "<string>",
"priority": 123,
"offerId": "<string>",
"containerRuntime": "<string>"
},
"reservations": [
{
"id": "<string>",
"poolName": "<string>",
"provider": "<string>",
"offerId": "<string>",
"status": "<string>",
"gpuCount": 123,
"hourlyCostMicros": "<string>",
"source": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"expiresAt": "2023-11-07T05:31:56Z",
"billingRenewalAt": "2023-11-07T05:31:56Z",
"statusMessage": "<string>",
"terminatingReason": "<string>",
"machineId": "<string>",
"cloud": "<string>",
"region": "<string>",
"nodeCount": 123,
"instanceType": "<string>",
"cpuMillicores": "<string>",
"memoryMb": "<string>",
"storageMb": "<string>"
}
],
"committedSpendMicros": "<string>",
"status": "<string>",
"source": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"expiresAt": "2023-11-07T05:31:56Z",
"machineCount": 123,
"readyMachineCount": 123,
"reservedNodes": 123,
"byoc": {
"provider": "<string>",
"accountId": "<string>",
"region": "<string>",
"resourceName": "<string>",
"resourceUrl": "<string>",
"destroyUrl": "<string>",
"phase": "<string>",
"desiredNodes": 123,
"maxNodes": 123,
"targetSandboxes": 123,
"sandboxesPerNode": 123,
"instanceType": "<string>",
"machineCount": 123,
"readyMachineCount": 123,
"message": "<string>",
"hourlyCostMicros": "<string>",
"totalHourlyCostMicros": "<string>",
"directScaleEnabled": true,
"gpu": "<string>",
"gpuCount": 123
}
},
"ready": true,
"readyMachineCount": 123,
"machineCount": 123,
"byoc": {
"provider": "<string>",
"accountId": "<string>",
"region": "<string>",
"resourceName": "<string>",
"resourceUrl": "<string>",
"destroyUrl": "<string>",
"phase": "<string>",
"desiredNodes": 123,
"maxNodes": 123,
"targetSandboxes": 123,
"sandboxesPerNode": 123,
"instanceType": "<string>",
"machineCount": 123,
"readyMachineCount": 123,
"message": "<string>",
"hourlyCostMicros": "<string>",
"totalHourlyCostMicros": "<string>",
"directScaleEnabled": true,
"gpu": "<string>",
"gpuCount": 123
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}ControlPlaneService
Get byoc pool
GET
/
pools
/
{poolName}
/
byoc
Get byoc pool
curl --request GET \
--url https://levers9.uselevers.com/pools/{poolName}/byoc \
--header 'Authorization: Bearer <token>'import requests
url = "https://levers9.uselevers.com/pools/{poolName}/byoc"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://levers9.uselevers.com/pools/{poolName}/byoc', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://levers9.uselevers.com/pools/{poolName}/byoc",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://levers9.uselevers.com/pools/{poolName}/byoc"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://levers9.uselevers.com/pools/{poolName}/byoc")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://levers9.uselevers.com/pools/{poolName}/byoc")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"ok": true,
"errMsg": "<string>",
"pool": {
"name": "<string>",
"selector": "<string>",
"config": {
"name": "<string>",
"gpu": [
"<string>"
],
"nodes": 123,
"ttl": "<string>",
"maxSpend": 123,
"providers": [
"<string>"
],
"regions": [
"<string>"
],
"minReliability": 123,
"selector": "<string>",
"mode": "<string>",
"transport": "<string>",
"fallback": "<string>",
"priority": 123,
"offerId": "<string>",
"containerRuntime": "<string>"
},
"reservations": [
{
"id": "<string>",
"poolName": "<string>",
"provider": "<string>",
"offerId": "<string>",
"status": "<string>",
"gpuCount": 123,
"hourlyCostMicros": "<string>",
"source": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"expiresAt": "2023-11-07T05:31:56Z",
"billingRenewalAt": "2023-11-07T05:31:56Z",
"statusMessage": "<string>",
"terminatingReason": "<string>",
"machineId": "<string>",
"cloud": "<string>",
"region": "<string>",
"nodeCount": 123,
"instanceType": "<string>",
"cpuMillicores": "<string>",
"memoryMb": "<string>",
"storageMb": "<string>"
}
],
"committedSpendMicros": "<string>",
"status": "<string>",
"source": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"expiresAt": "2023-11-07T05:31:56Z",
"machineCount": 123,
"readyMachineCount": 123,
"reservedNodes": 123,
"byoc": {
"provider": "<string>",
"accountId": "<string>",
"region": "<string>",
"resourceName": "<string>",
"resourceUrl": "<string>",
"destroyUrl": "<string>",
"phase": "<string>",
"desiredNodes": 123,
"maxNodes": 123,
"targetSandboxes": 123,
"sandboxesPerNode": 123,
"instanceType": "<string>",
"machineCount": 123,
"readyMachineCount": 123,
"message": "<string>",
"hourlyCostMicros": "<string>",
"totalHourlyCostMicros": "<string>",
"directScaleEnabled": true,
"gpu": "<string>",
"gpuCount": 123
}
},
"ready": true,
"readyMachineCount": 123,
"machineCount": 123,
"byoc": {
"provider": "<string>",
"accountId": "<string>",
"region": "<string>",
"resourceName": "<string>",
"resourceUrl": "<string>",
"destroyUrl": "<string>",
"phase": "<string>",
"desiredNodes": 123,
"maxNodes": 123,
"targetSandboxes": 123,
"sandboxesPerNode": 123,
"instanceType": "<string>",
"machineCount": 123,
"readyMachineCount": 123,
"message": "<string>",
"hourlyCostMicros": "<string>",
"totalHourlyCostMicros": "<string>",
"directScaleEnabled": true,
"gpu": "<string>",
"gpuCount": 123
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

